#pragma once

#include "ehs/Types.h"

namespace ehs
{
	enum class DbType : UInt_8
	{
		SINT_64,
		UINT_64,
		SINT_32,
		UINT_32,
		SINT_16,
		UINT_16,
		SINT_8,
		UINT_8,
		FLOAT,
		DOUBLE,
		BOOLEAN,
		CHAR_32,
		CHAR_16,
		CHAR_8
	};

	constexpr UInt_8 DbTypeToSize(DbType type);
}
