#include "ehs/db/DbType.h"

namespace ehs
{
	constexpr UInt_8 DbTypeToSize(const DbType type)
	{
		switch (type)
		{
			case DbType::SINT_64:
				return 8;
			case DbType::UINT_64:
				return 8;
			case DbType::SINT_32:
				return 4;
			case DbType::UINT_32:
				return 4;
			case DbType::SINT_16:
				return 2;
			case DbType::UINT_16:
				return 2;
			case DbType::SINT_8:
				return 1;
			case DbType::UINT_8:
				return 1;
			case DbType::FLOAT:
				return 4;
			case DbType::DOUBLE:
				return 8;
			case DbType::BOOLEAN:
				return 1;
			case DbType::CHAR_32:
				return 4;
			case DbType::CHAR_16:
				return 2;
			case DbType::CHAR_8:
				return 1;
		}
	}
}